From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/
Date: Fri, 26 Apr 2013 19:59:30 +0000 (UTC) [thread overview]
Message-ID: <1367000264.2120fa8bc99d5d65dc2c34142142176898477c08.kent@gentoo> (raw)
commit: 2120fa8bc99d5d65dc2c34142142176898477c08
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Fri Apr 26 18:17:44 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Fri Apr 26 18:17:44 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=2120fa8b
[newversion] Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10
Package-Manager: portage-2.2.0_alpha166
Manifest-Sign-Key: ECD2C675C102CDA4
---
.../Dist-Zilla-Plugin-MetaProvides-Class/ChangeLog | 8 ++-
...lla-Plugin-MetaProvides-Class-1.140.0.10.ebuild | 69 ++++++++++++++++++++
2 files changed, 76 insertions(+), 1 deletions(-)
diff --git a/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/ChangeLog b/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/ChangeLog
index 230d342..4915264 100644
--- a/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/ChangeLog
+++ b/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-perl/Dist-Zilla-Plugin-MetaProvides-Class
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10 (26 Apr 2013)
+
+ 26 Apr 2013; Kent Fredric <kentfredric@gmail.com>
+ +Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10.ebuild:
+ Version Bump
+
08 Jun 2012; Kent Fredric <kentfredric@gmail.com>
-Dist-Zilla-Plugin-MetaProvides-Class-1.120.449.110.ebuild:
Gone on CPAN
diff --git a/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10.ebuild b/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10.ebuild
new file mode 100644
index 0000000..73dd90e
--- /dev/null
+++ b/dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=KENTNL
+MODULE_VERSION=1.14000001
+inherit perl-module
+
+DESCRIPTION='Scans Dist::Zilla'\''s .pm files and tries to identify classes using Class::Discover.'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # Module::Build 0.4004 ( 0.400.400 )
+ echo \>=virtual/perl-Module-Build-0.400.400
+}
+perl_meta_build() {
+ # Module::Build 0.4004 ( 0.400.400 )
+ echo \>=virtual/perl-Module-Build-0.400.400
+}
+perl_meta_runtime() {
+ # Class::Discover
+ echo dev-perl/Class-Discover
+ # Dist::Zilla::MetaProvides::ProvideRecord 1.14000000 ( 1.140.0.0 )
+ echo \>=dev-perl/Dist-Zilla-Plugin-MetaProvides-1.140.0.0
+ # Dist::Zilla::Plugin::MetaProvides 1.12044806 ( 1.120.448.60 )
+ echo \>=dev-perl/Dist-Zilla-Plugin-MetaProvides-1.120.448.60
+ # Dist::Zilla::Role::MetaProvider::Provider
+ echo dev-perl/Dist-Zilla-Plugin-MetaProvides
+ # Moose
+ echo dev-perl/Moose
+ # Moose::Autobox
+ echo dev-perl/Moose-Autobox
+ # namespace::autoclean
+ echo dev-perl/namespace-autoclean
+ # perl 5.006 ( 5.6.0 )
+ echo \>=dev-lang/perl-5.6.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_test() {
+ # Dist::Zilla::Util::Test::KENTNL 0.01000011 ( 0.10.0.110 )
+ echo \>=dev-perl/Dist-Zilla-Util-Test-KENTNL-0.10.0.110
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # MooseX::Declare
+ echo dev-perl/MooseX-Declare
+ # Test::Fatal
+ echo dev-perl/Test-Fatal
+ # Test::Moose
+ echo dev-perl/Moose
+ # Test::More 0.98 ( 0.980.0 )
+ echo \>=virtual/perl-Test-Simple-0.980.0
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2013-04-26 19:59 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-04-26 19:59 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-06-09 8:14 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Dist-Zilla-Plugin-MetaProvides-Class/ Kent Fredric
2012-06-08 17:28 Kent Fredric
2011-05-23 5:21 Kent Fredric
2011-04-09 6:57 Torsten Veller
2011-04-07 1:45 Kent Fredric
2011-04-07 0:32 Kent Fredric
2011-04-07 0:32 Kent Fredric
2011-04-06 0:49 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1367000264.2120fa8bc99d5d65dc2c34142142176898477c08.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox